/**
 SPFTransition.h
 
 Copyright © 2019 Forkbeard Technologies AS.
 All rights reserved.
 */
#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

#import "SPFDevice.h"
#import "SPFVector3.h"

/**
 Represents location transition generated by the positioning engine.
 */
@interface SPFTransition : NSObject <NSCoding, NSSecureCoding>

#pragma mark Properties

/**
 The unique identifier for the location in which the device was previously positioned.
 */
@property (readonly, retain) NSString* fromLocationId;

/**
 The name for the location in which the device was previously positioned.
 */
@property (readonly, retain) NSString* fromLocationName;

@end
